> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getTradingVolumeChangeList

> The list of trading volume changes by periods (1 hour, 6 hours, 1 day, 1 week, 1 month) by jetton addresses.

Volume available only in fiat currencies (USD, EUR, ...).
TON is not supported.
Currency is required in request.

💼 Available in paid plans only



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json post /v1/jettons/trading-volume/change
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/trading-volume/change:
    post:
      tags:
        - JettonsService
      summary: getTradingVolumeChangeList
      description: >-
        The list of trading volume changes by periods (1 hour, 6 hours, 1 day, 1
        week, 1 month) by jetton addresses.


        Volume available only in fiat currencies (USD, EUR, ...).

        TON is not supported.

        Currency is required in request.


        💼 Available in paid plans only
      operationId: JettonsService_GetTradingVolumeChangeList2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1JettonsGetTradingVolumeChangeListRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/v1JettonsGetTradingVolumeChangeListResponse
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetTradingVolumeChangeListRequest:
      type: object
      properties:
        address:
          title: Jetton address
          type: array
          description: |-
            List of jetton addresses
            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 100
          items:
            type: string
        currency:
          $ref: '#/components/schemas/v1Currency'
    v1JettonsGetTradingVolumeChangeListResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/v1JettonsGetTradingVolumeChangeListItem'
        addressBook:
          title: Address book
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1AddressBookItem'
          description: Possible aliases for all raw addresses in response
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1Currency:
      type: string
      default: ton
      enum:
        - ton
        - usd
        - eur
        - gbp
        - jpy
        - byn
        - ves
        - rub
        - uah
        - kzt
        - krw
        - ils
        - idr
        - aed
        - gel
        - twd
        - try
        - hkd
        - inr
        - cad
        - amd
        - aud
        - pln
        - cop
        - brl
        - chf
        - mxn
        - ars
        - sgd
        - sar
        - mdl
        - ron
        - sek
        - azn
        - rsd
        - nok
        - myr
        - bgn
        - egp
        - gtq
        - clp
        - nzd
        - bdt
        - kgs
        - thb
        - uzs
        - uyu
        - vnd
        - ugx
        - kes
        - zar
        - etb
        - ngn
        - lkr
    v1JettonsGetTradingVolumeChangeListItem:
      type: object
      properties:
        address:
          type: string
        changes:
          $ref: '#/components/schemas/v1JettonTradingVolumeChanges'
    v1AddressBookItem:
      type: object
      properties:
        userFriendly:
          title: Bounced address
          type: string
          description: Bounced user-friendly address
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1JettonTradingVolumeChanges:
      type: object
      properties:
        total:
          $ref: '#/components/schemas/v1JettonTradingVolumeChangePeriods'
        buy:
          $ref: '#/components/schemas/v1JettonTradingVolumeChangePeriods'
        sell:
          $ref: '#/components/schemas/v1JettonTradingVolumeChangePeriods'
    v1JettonTradingVolumeChangePeriods:
      type: object
      properties:
        hour:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour6:
          $ref: '#/components/schemas/v1DecimalValueChange'
        day:
          $ref: '#/components/schemas/v1DecimalValueChange'
        week:
          $ref: '#/components/schemas/v1DecimalValueChange'
        month:
          $ref: '#/components/schemas/v1DecimalValueChange'
    v1DecimalValueChange:
      title: Value change by period
      type: object
      properties:
        changePercent:
          title: Percentage change from the previous period
          type: number
          format: float
          example: 146.1
        previous:
          $ref: '#/components/schemas/v1DecimalValue'
        current:
          $ref: '#/components/schemas/v1DecimalValue'
        calculatedAt:
          title: Date and time of calculation
          type: string
          format: date-time
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````